=== akonadi/src/CMakeLists.txt ===
add_subdirectory(core)
add_subdirectory(agentbase)
add_subdirectory(widgets)
add_subdirectory(selftest)
add_subdirectory(xml)
