=== debian/changelog ===
kdepimlibs (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bigfix release. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:17:24 -0700

kdepimlibs (4:15.12.1-2ubuntu3) xenial; urgency=medium

  * Add missing epoch kcontacts build dep. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 18:57:31 -0800

kdepimlibs (4:15.12.1-2ubuntu2) xenial; urgency=medium

  * Add missing epochs for pim* build dependencies. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 18:00:31 -0800

kdepimlibs (4:15.12.1-2ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. 
  * Add missing optional dep to prison. 
  * Rebuild again new akonadi-calendar. 
  * remove prison as it is not released upstream.
  * Bump build depend version for pim*. 

  [ Philip Muškovac ]
  * libkf5akonadicore-bin breaks/replaces kdepimlibs-bin (<< 4:15.12.1-2~)

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:40:30 +0100

kdepimlibs (4:15.12.1-2) experimental; urgency=medium

  * Drop libprison build dependency. (Closes: #814200)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 10 Feb 2016 09:59:20 +0100

kdepimlibs (4:15.12.1-1ubuntu1) UNRELEASED; urgency=medium

  * Debian merge: No remaining changes.
  * Refresh symbols. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 03 Feb 2016 06:23:34 -0800

kdepimlibs (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:04 +0100

kdepimlibs (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  [ Scarlett Clark ]
  * Increase lib version in install files, they are now
    5.0.47 

  [ Philip Muškovac ]
  * New upstream release 
  * Refresh symbol files 

  [ Scarlett Clark ]
  * No change, trigger rebuild. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 28 Oct 2015 09:50:41 -0700

kdepimlibs (4:15.08.3-1) experimental; urgency=medium

  * New upstream release (15.08.3).
  * Update symbols files from buildds logs (4:15.08.2-1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:49 +0100

kdepimlibs (4:15.08.2-1) experimental; urgency=medium

  * New upstream release (15.08.2).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:37 +0200

kdepimlibs (4:15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:15 +0200

kdepimlibs (4:15.08.0-1) experimental; urgency=medium

  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Sep 2015 23:52:14 +0200
